---
title: Menu Price
slug: serpwow/search-api/searches/menu/menu-price
docTags: 
createdAt: 2025-05-30T17:16:32.348Z
---

# Menu Price Parameters

<font color="#52c41a">`GET`</font>  `/search?engine=menhub`

The following parameters are applicable when making a request with `engine=menuhub` to retrieve menu pricing data for a specific restaurant and location.

- Use the `store_name` parameter to specify the target restaurant (e.g., Qdoba)
- Use the `store_id` parameter to indicate the exact location of that restaurant

The list of supported stores and store\_ids can be [found here](https://docs.trajectdata.com/serpwow/search-api/reference/menu-restaurants).&#x20;

![](https://api.archbee.com/api/optimize/lBACYsXnyAR7uhPRuYDjt-pRfK2TdmHp3ulUTiE1-0S-20250530-173423.png)

For example, to request menu pricing for store `Qdoba`  with store\_id `79706` , the request would be:&#x20;

:::CodeblockTabs
HTTP

```HTTP
https://api.serpwow.com/search?api_key={api_key}&engine=menuhub&type=menu&store_name=Qdoba&store_id=79706&output=json
```

```curl
curl -L --get https://api.serpwow.com/search \
    -d api_key="{api_key}" \
    -d engine="menuhub" \
    -d type="menu" \
    -d store_name="Qdoba" \
    -d store_id="79706" \
    -d output="json"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
api_key: "{api_key}",
  engine: "menuhub",
  type: "menu",
  store_name: "Qdoba",
  store_id: "79706",
  output: "json"
}

// make the http GET request to SerpWow
axios.get('https://api.serpwow.com/search', { params })
.then(response => {

    // print the JSON response from SerpWow
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
// catch and print the error
console.log(error);
})
```

```python
import requests
import json

# set up the request parameters
params = {
'api_key': '{api_key}',
  'engine': 'menuhub',
  'type': 'menu',
  'store_name': 'Qdoba',
  'store_id': '79706',
  'output': 'json'
}

# make the http GET request to SerpWow
api_result = requests.get('https://api.serpwow.com/search', params)

# print the JSON response from SerpWow
print(json.dumps(api_result.json()))
```

```php
# set up the request parameters
$queryString = http_build_query([
'api_key' => '{api_key}',
  'engine' => 'menuhub',
  'type' => 'menu',
  'store_name' => 'Qdoba',
  'store_id' => '79706',
  'output' => 'json'
]);

# make the http GET request to SerpWow
$ch = curl_init(sprintf('%s?%s', 'https://api.serpwow.com/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from SerpWow
echo $api_result;
```
:::

***

### Menu Price Parameters

The following parameters are available for Menu Price requests:

| *`Parameter`* | *`Required`*        | *`Description`*                                                                                                             |
| ------------- | ------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| *`engine`*    | <u>*`required`*</u> | Should be set to `engine=google` .                                                                                          |
| `store_name`  | <u>*`required`*</u> | supported store name. list can be [found here](https://docs.trajectdata.com/serpwow/search-api/reference/menu-restaurants). |
| `store_id`    | <u>*`required`*</u> | supported store\_id. list can be [found here.](https://docs.trajectdata.com/serpwow/search-api/reference/menu-restaurants)  |

***

**Next Steps**
     [Menu Price Results](https://docs.trajectdata.com/serpwow/search-api/results/menu/menu-price)
